play.mvc

## Class Http.Outbound

- java.lang.Object
- - play.mvc.Http.Outbound

Enclosing class:
  Http

    public abstract static class Http.Outbound
    extends java.lang.Object

A Websocket Outbound channel

### Field Summary

Fields
`static java.lang.ThreadLocal<Http.Outbound>` `current`

### Constructor Summary

Constructors
Constructor and Description
`Outbound()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `close()`
`static Http.Outbound` `current()`
`abstract boolean` `isOpen()`
`void` `send(byte opcode, byte[] data)`
`abstract void` `send(byte opcode, byte[] data, int offset, int length)`
`abstract void` `send(java.lang.String data)`
`void` `send(java.lang.String pattern, java.lang.Object... args)`
`void` `sendJson(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### current

    public static final java.lang.ThreadLocal<Http.Outbound> current

### Constructor Detail

#### Outbound

    public Outbound()

### Method Detail

#### current

    public static Http.Outbound current()

#### send

    public abstract void send(java.lang.String data)

#### send

    public abstract void send(byte opcode,
                              byte[] data,
                              int offset,
                              int length)

#### isOpen

    public abstract boolean isOpen()

#### close

    public abstract void close()

#### send

    public void send(byte opcode,
                     byte[] data)

#### send

    public void send(java.lang.String pattern,
                     java.lang.Object... args)

#### sendJson

    public void sendJson(java.lang.Object o)